Bug 1126535 - highlight ON_QA bugs,and differ ones which have dependencies from one who doesn't
Summary: highlight ON_QA bugs,and differ ones which have dependencies from one who doe...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Dependency Views
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 16:46 UTC by Ori Gofen
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 5.0.3.rh3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 08:19:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1135866 None CLOSED [RFE] buglist.cgi: Linkify bug numbers in Depends On, Blocks and Clone Of columns. 2019-02-11 18:53:07 UTC

Internal Links: 1135866

Description Ori Gofen 2014-08-04 16:46:33 UTC
Description of problem:

Bugzilla should highlight ON_QA bugs, and differ ones which have unverified/closed dependencies.

It would be so helpful to notice quickly which bugs needs to be verified from the blocked ones.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jason McDonald 2014-08-05 05:29:51 UTC
It's not entirely clear to me what you're asking for.  Bugzilla has two dependency views: 

1. A graph view, which uses different colours for open and closed bugs (see example at https://bugzilla.redhat.com/showdependencygraph.cgi?id=653316)

2. A tree view, which includes the status of each bug and has strikethrough to highlight closed bugs (see example at https://bugzilla.redhat.com/showdependencytree.cgi?id=653316).  This view also has a "Hide Resolved" button that you can use to filter closed bugs out of the view.

If neither of these views provides the information you need, please state which view you are refering to and exactly what you would like the Bugzilla Team to change in that view.

Please keep in mind however that the majority of Red Hat Bugzilla users are not in QE roles, so highlighting only ON_QA bugs in any view may not be satisfactory for many users.

Comment 2 Ori Gofen 2014-08-07 12:15:21 UTC
Created attachment 924893 [details]
image

Jason,I've added an image,hopefully it will make things clearer.
I'm merely suggesting that when a user query his ON_QA bugs there will be some kind of sign that will differ ON_QA bugs which are dependent on existing bugs(and there for cannot be verified yet) to ON_QA bugs which can be(and needs to be) verified right away.
it can be a text highlight,red dot or any kind of icon.

right now engineers are entering each bug and look at the dependency tab and than browse back if they see dependency etc.

This RFE will save tons of time and could be very neat also.

Comment 3 Jason McDonald 2014-08-11 02:34:08 UTC
Ok, I think that makes the use-case clearer.  Please confirm that the following understanding is correct:

(a) The attachment is a mockup, not a screenshot of what Bugzilla does now. (BTW, we made the attachment private as it contains data about private bugs).

(b) You're asking for a change to buglist.cgi rather than to the Dependency Tree or Dependency Graph pages.

(c) An ON_QA bug can only be tested by an engineer if all of its blockers are in VERIFIED, RELEASE_PENDING or CLOSED.

Comment 4 Ori Gofen 2014-08-11 10:39:20 UTC
Jason,exactly!

Comment 5 Jason McDonald 2014-09-01 05:07:14 UTC
Bug 1135866, when implemented, may help to alleviate this issue.  The user will be able to add the "Depends On (full)" column to buglist.cgi and see the status of each dependency in a tooltip.

Comment 6 Jeff Fearn 🐞 2015-09-03 23:43:54 UTC
(In reply to Jason McDonald from comment #5)
> Bug 1135866, when implemented, may help to alleviate this issue.  The user
> will be able to add the "Depends On (full)" column to buglist.cgi and see
> the status of each dependency in a tooltip.

Except 1: there is no tool tip, 2: the standard classes applied to bug links are missing (e.g.bz_status_CLOSED), so closed bugs don't have strike through applied.

e.g.

https://bugzilla.redhat.com/buglist.cgi?bug_id=1211440%2C631001%2C1059946%2C672142%2C1080674%2C578256%2C1049558%2C1057651%2C1214975%2C1119161%2C853811%2C641848%2C860077%2C508685&columnlist=product%2Ccomponent%2Cassigned_to%2Cbug_status%2Cresolution%2Cshort_desc%2Cchangeddate%2Cdependson_all&list_id=3792490&query_based_on=&query_format=advanced

Comment 7 Jason McDonald 2015-10-01 06:58:47 UTC
(In reply to Jeff Fearn from comment #6)
> Except 1: there is no tool tip, 2: the standard classes applied to bug links
> are missing (e.g.bz_status_CLOSED), so closed bugs don't have strike through
> applied.

Bug 1267819 filed to track those issues.

Comment 9 Jeff Fearn 🐞 2016-06-16 02:17:48 UTC
Color coding like this for deps is already in 5.0, may as well get it QE'd properly.

Comment 10 Rony Gong 🔥 2016-06-20 07:41:41 UTC
BZ5 could highlight ON_QA bugs,but it couldn't differ ones which have dependencies from one who doesn't.

All verify status bugs are in same color.

Comment 11 Jeff Fearn 🐞 2016-06-20 22:00:04 UTC
(In reply to Rony Gong from comment #10)
> BZ5 could highlight ON_QA bugs,but it couldn't differ ones which have
> dependencies from one who doesn't.
> 
> All verify status bugs are in same color.

You need to use the treeview to see the dependent bug statuses, there is no sane way to display nested status on a single dependency.

Comment 12 Rony Gong 🔥 2016-06-21 03:07:53 UTC
Tested on QA environment(5.0.3-rh3)
Result: Pass
Steps:
1. Do a bug search(some bugs has dependent bugs), then click the button 'TreeView+ (depend on)' in the bottom of bug list page.
2. In the tree view page, please click the 'Expand All'link, then you could go though all depend bugs' status easily.


Note You need to log in before you can comment on or make changes to this bug.